Шаг 1. Проверяем возможность обновления

1. Сначала проверяем свою версию Moodle и наличие обновлений. 

Перейдите в "Администрирование - Уведомления" - вы увидите доступные для обновления новые версии Moodle и внизу страницы - текущую версию Moodle на вашем сайте:


2. Если есть доступные версии для обновления - продолжаем....

Перейдите в "Администрирование - Сервер - Среда (версии ПО)" - в выпадающем списке можно посмотреть до какой версии можно обновить систему:


Если у вас достаточно старая версия Moodle (как в нашем примере), то обновить её сразу до последней, самой свежей версии не получится. Придётся последовательно производить несколько обновлений.

3. Выберите в выпадающем списке самую последнюю доступную версию для обновления и проверьте соответствие настроек сервера - сервер должен соответствовать минимальным требованиям для установки:


Если какой-либо параметр ниже минимально необходимого, обновление будет невозможно. Нужно будет изменить настройки сервера перед обновлением. Как показывает практика, на хостинге Бегет чаще всего встречается ошибка несоответствия версии php. Эта ошибка легко исправляется изменением настроек в Панели управления хостингом Бегет. 

В самом низу страницы могут присутствовать сообщения о других некритических ошибках (со статусом "Проверьте"), которые не препятствуют обновлению Moodle и могут быть исправлены позже::


Если ваш сервер соответствует минимальным требованиям - можно продолжать....